# WOK
TKWOK
MS

# MS_Field Class Reference

`#include <MS_Field.hxx>`

Inheritance diagram for MS_Field:

[legend]

## Public Member Functions

Standard_EXPORT | MS_Field (const Handle(MS_Class)&aClass, const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT void | Class (const Handle(MS_Class)&aClass)
Standard_EXPORT Handle_MS_Class | Class () const
Standard_EXPORT void | TYpe (const Handle(TCollection_HAsciiString)&aType)
Standard_EXPORT void | TYpe (const Handle(TCollection_HAsciiString)&aType, const Handle(TCollection_HAsciiString)&aPackage)
Standard_EXPORT const Handle_TCollection_HAsciiString & | TYpe () const
Standard_EXPORT void | Dimension (const Standard_Integer aDimension)
Standard_EXPORT const Handle_TColStd_HSequenceOfInteger & | Dimensions () const
Standard_EXPORT void | Protected (const Standard_Boolean aProtected)
Standard_EXPORT Standard_Integer | Protected () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myClass
Handle_TCollection_HAsciiString | myType
Handle_TColStd_HSequenceOfInteger | myDimension
Standard_Boolean | myProtected

## Constructor & Destructor Documentation

Standard_EXPORT MS_Field::MS_Field | ( | const Handle(MS_Class)& | aClass,
|  | const Handle(TCollection_HAsciiString)& | aName
| ) |

## Member Function Documentation

Standard_EXPORT Handle_MS_Class MS_Field::Class | ( |  | ) | const

Standard_EXPORT void MS_Field::Class | ( | const Handle(MS_Class)& | aClass | ) |

Standard_EXPORT void MS_Field::Dimension | ( | const Standard_Integer | aDimension | ) |

Standard_EXPORT const Handle_TColStd_HSequenceOfInteger& MS_Field::Dimensions | ( |  | ) | const

Standard_EXPORT const MS_Field::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Common.

Standard_EXPORT Standard_Integer MS_Field::Protected | ( |  | ) | const

Standard_EXPORT void MS_Field::Protected | ( | const Standard_Boolean | aProtected | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& MS_Field::TYpe | ( |  | ) | const

Standard_EXPORT void MS_Field::TYpe | ( | const Handle(TCollection_HAsciiString)& | aType,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) |

Standard_EXPORT void MS_Field::TYpe | ( | const Handle(TCollection_HAsciiString)& | aType | ) |

## Field Documentation

Handle_TCollection_HAsciiString MS_Field::myClass `[private]`

Handle_TColStd_HSequenceOfInteger MS_Field::myDimension `[private]`

Standard_Boolean MS_Field::myProtected `[private]`

Handle_TCollection_HAsciiString MS_Field::myType `[private]`

The documentation for this class was generated from the following file:

- MS_Field.hxx